using Application.Abstractions.Identity.Models;

namespace Application.Abstractions.Identity
{
    public interface IIdentityRoleReader
    {
        Task<List<RoleDto>> GetRolesAsync(CancellationToken ct);
        Task<RoleDto> GetRoleAsync(string roleID, CancellationToken ct);
    }
}